/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package cricketdaemon.reader;

public class PhaseArrayRecord
{
    public float orient, sepDist, phaseDiff;
    
    public PhaseArrayRecord(float o, float s, float p)
    {
	orient = o; sepDist = s; phaseDiff = p;
    }

    public boolean equals(Object o)
    {
	if(!(o instanceof PhaseArrayRecord))
	    return false;

	PhaseArrayRecord par = (PhaseArrayRecord) o;


	return (orient == par.orient) && 
	    (sepDist == par.sepDist) &&
	    (phaseDiff == par.phaseDiff);
    }

    public String toString()
    {
	return "("+orient+","+sepDist+","+phaseDiff+")";
    }
}
